function extrapolace()   % definice funce pro extrapolaci

% definice globálních proměnných
global intenzity
global wavelength_number;


x=wavelength_number(3240:3648);   % volba intervalu z dat vlnové délky pro výpočet polynomu
y=intenzity(3240:3648);

% definice funkce polyfit pro výpočet polynomu druhého stupně z vybrané
% části grafu
p=polyfit(x,y,2);

%  doplnění x hodnot do vlnové délky 900 nm 
lin_x=linspace(wavelength_number(length(wavelength_number)), 900,240);     
y_extrapol=polyval(p,lin_x);   %extrapolace hodnot y pro hodnoty x pomocí polynomu p

% doplnění zdrojových dat o extrapolované hodnoty
wavelength_number=[transpose(wavelength_number),lin_x];
intenzity=[transpose(intenzity),y_extrapol];

wavelength_number=transpose(wavelength_number);
intenzity=transpose(intenzity);
